import { useLocation, Navigate } from 'react-router-dom';
import { ReactNode } from 'react';
import { AUTH_ROUTES } from 'routes/paths';
import { useAppSelector } from 'hooks/storeHooks';

type Props = {
  children: ReactNode;
};
export default function AuthGuard({ children }: Props) {
  const location = useLocation();
  const token = useAppSelector((state) => state.auth.tokens?.accessToken);

  if (!token) {
    return (
      <Navigate to={AUTH_ROUTES.login} state={{ from: location }} replace />
    );
  }

  return <>{children}</>;
}
