import { createSlice } from '@reduxjs/toolkit';

interface AuthState {
  tokens: { accessToken: string | null; idToken: string | null } | null;
  user: { email: string } | null;
}

const initialState: AuthState = {
  tokens: null,
  user: null,
};

const authSlice = createSlice({
  name: 'auth',
  initialState,
  reducers: {
    loginSlice: (state, action) => {
      state.tokens = action.payload.tokens;
      state.user = action.payload.user;
    },
    logoutSlice: (state) => {
      state.tokens = null;
      state.user = null;
    },
  },
});

export const { loginSlice, logoutSlice } = authSlice.actions;
export default authSlice.reducer;
